# cabal2spec-0.25
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name derive

%global common_summary  Library to derive instances for data types

%global common_description Derive is a library and tool for deriving instances for Haskell programs.

Name:           ghc-%{pkg_name}
Version:        2.5.8
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
BuildRequires:  ghc-transformers-devel,ghc-process-devel,ghc-pretty-devel,ghc-directory-devel
BuildRequires:  ghc-haskell-src-exts-devel,ghc-uniplate-devel,ghc-template-haskell-devel
BuildRequires:  ghc-containers-devel,ghc-syb-devel,ghc-filepath-devel,ghc-bytestring-devel
# END cabal2spec

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install
echo "%attr(755,root,root) %{_bindir}/%{pkg_name}" >> ghc-%{pkg_name}.files


# devel subpackage
%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Sun May  6 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 2.5.8-1
- spec file template generated by cabal2spec-0.25.5
- License is BSD
